[Feature] WiFi support in Stone Peak (7265)

Bug #1188092 reported by XiongZhang on 2013-06-06
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
intel
Undecided
Unassigned
linux (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Trusty
Undecided
Unassigned
Utopic
Undecided
Unassigned
linux-firmware (Ubuntu)
Undecided
Tim Gardner
Precise
Undecided
Tim Gardner
Trusty
Undecided
Tim Gardner
Utopic
Undecided
Tim Gardner
linux-lts-trusty (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Trusty
Undecided
Unassigned
Utopic
Undecided
Unassigned

Bug Description

Stone Peak is WiFi and Bluetooth combo card for Broadwell mobile platform.
This feature is for the WiFi driver and firmware support for Stone Peak

Upstream schedule: TBD

Yingying Zhao (yingying-zhao) wrote :

The alpha firmware has been sent to Canonical for testing purpose.

Stone Peak will be supported since v3.13 kernel, firmware not public yet

[1] commit 53e88cb116333c4503a3b474ddfe84faf489b332
    Author: Oren Givon <email address hidden>
    Date: Tue Nov 19 03:48:19 2013 +0200

    iwlwifi: add new HW - 7265 series

    Add new HW IDs and configurations for 7265 series.

    Signed-off-by: Oren Givon <email address hidden>
    Signed-off-by: Emmanuel Grumbach <email address hidden>

[2] commit c4aee085c0c0079cdb45f68bf63cb930a1932783
    Author: Eran Harary <email address hidden>
    Date: Tue Oct 8 08:03:07 2013 +0200

    iwlwifi: Support 7265 devices

    7265 is a very similar device to 7260, so just add
    the definitions based on 7260 for it.

    Signed-off-by: Eran Harary <email address hidden>
    Signed-off-by: Johannes Berg <email address hidden>

Another commit in iwlwifi-next tree:

[3] commit cd51c164371fdebc06957ec0ddce887f9c32c737 (iwlwifi-next)
    iwlwifi: add new devices for 7265 series

    Add new device / subdevice ID for 7265 series. Fix 2 mistakes on the way.

Anthony Wong (anthonywong) wrote :

Is there a new, e.g. beta, firmware available?

Yingying Zhao (yingying-zhao) wrote :

@Anthony, I've forward you the beta firmware. Please be noted that it's shared for testing purpose under our NDA.

Anthony Wong (anthonywong) wrote :
Yingying Zhao (yingying-zhao) wrote :

The PV schedule is:
PV ww12’14 (HSW)
PV ww27-32’14 (BDW

Jamie Chang (jamie315) wrote :

@Yingying,

Do we have PV driver/firmware for HSW platforms now?

Yingying Zhao (yingying-zhao) wrote :

F/W is officially released:
The firmware is available at:
http://wireless.kernel.org/en/users/Drivers/iwlwifi?action=AttachFile&do=get&target=iwlwifi-7265-ucode-22.24.8.0.tgz
Pull request to linux-firmware.git will follow.

Changed in intel:
status: New → Fix Committed
Tim Gardner (timg-tpi) on 2014-04-28
Changed in linux-firmware (Ubuntu):
status: New → Fix Released
Changed in linux (Ubuntu):
status: New → Fix Released
Changed in linux-firmware (Ubuntu):
status: Fix Released → Fix Committed
Changed in linux-lts-trusty (Ubuntu Trusty):
status: New → Invalid
Tim Gardner (timg-tpi) on 2014-04-28
Changed in linux-lts-trusty (Ubuntu Utopic):
status: New → Invalid
Changed in linux-lts-trusty (Ubuntu Precise):
status: New → Fix Released
Changed in linux (Ubuntu Precise):
status: New → Invalid
Changed in linux (Ubuntu Trusty):
status: New → Fix Released
Changed in linux-firmware (Ubuntu Precise):
status: New → In Progress
Changed in linux-firmware (Ubuntu Trusty):
status: New → In Progress
Changed in linux-firmware (Ubuntu Utopic):
status: Fix Committed → In Progress
Changed in linux-firmware (Ubuntu Precise):
assignee: nobody → Tim Gardner (timg-tpi)
Changed in linux-firmware (Ubuntu Trusty):
assignee: nobody → Tim Gardner (timg-tpi)
Changed in linux-firmware (Ubuntu Utopic):
assignee: nobody → Tim Gardner (timg-tpi)
Tim Gardner (timg-tpi) on 2014-04-28
information type: Private → Public

Hello XiongZhang, or anyone else affected,

Accepted linux-firmware into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/linux-firmware/1.79.13 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in linux-firmware (Ubuntu Precise):
status: In Progress → Fix Committed
Changed in linux-firmware (Ubuntu Trusty):
status: In Progress → Fix Committed
Adam Conrad (adconrad) wrote :

Hello XiongZhang, or anyone else affected,

Accepted linux-firmware into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/linux-firmware/1.127.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

This bug was fixed in the package linux-firmware - 1.128

---------------
linux-firmware (1.128) utopic; urgency=medium

  * Add firmware file to support Intel 7265 (Stone Peak) for linux v3.13+
    http://wireless.kernel.org/en/users/Drivers/iwlwifi?action=AttachFile&do=get&target=iwlwifi-7265-ucode-22.24.8.0.tgz
    -LP: #1188092
 -- Tim Gardner <email address hidden> Mon, 28 Apr 2014 11:38:58 -0600

Changed in linux-firmware (Ubuntu Utopic):
status: In Progress → Fix Released
Yingying Zhao (yingying-zhao) wrote :

New firmware 22.212.9.0 is available in linux-firmware.

Tim Gardner (timg-tpi) wrote :

I assume there will be a pull request soon on the wireless list ?

tags: added: verification-needed

Hello XiongZhang, or anyone else affected,

Accepted linux-firmware into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/linux-firmware/1.79.14 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Adam Conrad (adconrad) wrote :

Hello XiongZhang, or anyone else affected,

Accepted linux-firmware into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/linux-firmware/1.127.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Reply for comment #13:
  I found iwlwifi-7265-8.ucode appears under /lib/firmware/, but the 12.04.4 OS can't recognize StonePeak card, and doesn't load wifi driver.
  So 12.04 can't support StonePeak. I will test StonePeak only on ubuntu 14.04.

XiongZhang (xiong-y-zhang) wrote :

Reply for comment #14:
I test linux-firmware/1.127.2 in trusty. StonePeak works fine.

tags: added: verification-done
removed: verification-needed
XiongZhang (xiong-y-zhang) wrote :

From the change log in linux-firmware/1.129:

linux-firmware (1.129) utopic; urgency=low

  [ Emmanuel Grumbach ]

  * iwlwifi: add new firmware for 3160 / 7260 / 7265
    cherry picked from git://git.kernel.org/pub/scm/linux/kernel/git/egrumbach/linux-firmware.git
    Add a new firmware for 3160, 7260 and 7265. This firmware has new APIs and
    hence the file name changes. Version number: 22.212.9.0
    -LP: #1265436
  * iwlwifi: add firmware for 7265
    cherry picked from git://git.kernel.org/pub/scm/linux/kernel/git/egrumbach/linux-firmware.git
    Add new firmware for a new device: 7265 version: 22.24.8.0
    -LP: #1265436
 -- Tim Gardner <email address hidden> Wed, 30 Apr 2014 13:49:24 -0600

linux-firmware/1.129 has new firmware to support stone peak, wll ubuntu 14.04 update its firmware to linux-firmware/1.129 ?

Yingying Zhao (yingying-zhao) wrote :

@Emmanuel, to use the new firmware 22.212.9.0 in Ubuntu 14.04, are additional kernel patches required on top of Ubuntu 14.04 kernel which is 3.13?

Emmanuel Grumbach (egrumbach) wrote :

This new firmware won't work on 3.13 as written explicitly in wireless.kernel.org.

summary: - [Feature] WiFi support in Stone Peak
+ [Feature] WiFi support in Stone Peak (7265)

The verification of the Stable Release Update for linux-firmware has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.127.2

---------------
linux-firmware (1.127.2) trusty; urgency=medium

  * UBUNTU: Remove iwlwifi-7260-8.ucode for regression
    -LP: #1293569

linux-firmware (1.127.1) trusty; urgency=medium

  * Add firmware file to support Intel 7265 (Stone Peak) for linux v3.13+
    http://wireless.kernel.org/en/users/Drivers/iwlwifi?action=AttachFile&do=get&target=iwlwifi-7265-ucode-22.24.8.0.tgz
    -LP: #1188092
 -- Tim Gardner <email address hidden> Mon, 05 May 2014 15:00:39 -0600

Changed in linux-firmware (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.79.14

---------------
linux-firmware (1.79.14) precise; urgency=medium

  * Remove iwlwifi-7260-8.ucode for regression
    The -8 API appears to cause regression on Haswell.
    -LP: #1293569

linux-firmware (1.79.13) precise; urgency=medium

  * Add firmware file to support Intel 7265 (Stone Peak) for linux v3.13+ (linux-lts-trusty)
    http://wireless.kernel.org/en/users/Drivers/iwlwifi?action=AttachFile&do=get&target=iwlwifi-7265-ucode-22.24.8.0.tgz
    -LP: #1188092
 -- Tim Gardner <email address hidden> Mon, 05 May 2014 14:46:02 -0600

Changed in linux-firmware (Ubuntu Precise):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Yingying Zhao (yingying-zhao) wrote :

PV schdule: ww26-29’14
StonePeak is already done for HSW. It should just work on BDW, just needs to be tested.

tags: added: utopic
Changed in intel:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers